Skip to main content

Type Alias: GatewayInferenceResponseContentPartAddedEvent

type GatewayInferenceResponseContentPartAddedEvent = {
[key: string]: unknown;
type: "response.content_part.added";
item_id: string;
output_index: number;
content_index: number;
part: GatewayInferenceOutputContent;
};

Defined in: src/models/ai-gateway-inference.ts:4708

Portkey ResponseContentPartAddedEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseContentPartAddedEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.content_part.added";

Defined in: src/models/ai-gateway-inference.ts:4709


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:4710


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4711


content_index​

content_index: number;

Defined in: src/models/ai-gateway-inference.ts:4712


part​

part: GatewayInferenceOutputContent;

Defined in: src/models/ai-gateway-inference.ts:4713